two libuuid.a

Corinna Vinschen corinna-cygwin@cygwin.com
Wed Feb 24 16:53:00 GMT 2010


On Feb 24 10:34, Bernd Prager wrote:
> Hi,
> 
> I am running in a configuration issue in another project with two
> conflicting libuuid.a (one in /usr/lib/w32api and the other in
> /usr/lib/e2fsprogs).
> 
> The construct:
> 
>         AC_SEARCH_LIBS(uuid_generate, uuid, ,
>             [AC_MSG_ERROR([cannot link with -luuid, install e2fsprogs])])
>         ;;
> 
> basically fails.
> 
> Is there a way to solve that without introducing something hardcoded
> like LDFLAGS="-L/usr/lib/e2fsprogs" what breaks portability?

Probably not.  From my POV it's a bug in the e2fsprogs package to
provide a libuuid.a lib.  It should rely on the w32api provided file and
if something's missing, it should be added there.

However, unfortunately the e2fsprogs package is orphaned right now.  If
somebody would like to step up as maintainer, please see
http://cygwin.com/setup.html for the details how to become a package
maintainer.


Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list